| Version: 2.9.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
automtn.h File Reference

## Classes

class | wxVariantDataCurrency
| This class represents a thin wrapper for Microsoft Windows CURRENCY type. More...
class | wxVariantDataErrorCode
| This class represents a thin wrapper for Microsoft Windows SCODE type (which is the same as HRESULT). More...
class | wxVariantDataSafeArray
| This class represents a thin wrapper for Microsoft Windows SAFEARRAY type. More...
class | wxAutomationObject
| The wxAutomationObject class represents an OLE automation object containing a single data member, an IDispatch pointer. More...

## Enumerations

enum | wxAutomationInstanceFlags { wxAutomationInstance_UseExistingOnly = 0, wxAutomationInstance_CreateIfNeeded = 1, wxAutomationInstance_SilentIfNone = 2 }
| Automation object creation flags. More...

## Enumeration Type Documentation

enum wxAutomationInstanceFlags

Automation object creation flags.

These flags can be used with wxAutomationObject::GetInstance().

Since
  2.9.2

Enumerator:

  wxAutomationInstance_UseExistingOnly | Only use the existing instance, never create a new one. This flag can be used to forbid the creation of a new instance if none is currently running.
  wxAutomationInstance_CreateIfNeeded | Create a new instance if there are no existing ones. This flag corresponds to the default behaviour of wxAutomationObject::GetInstance() and means that if getting an existing instance failed, we should call wxAutomationObject::CreateInstance() to create a new one.
  wxAutomationInstance_SilentIfNone | Do not show an error message if no existing instance is currently running. All other errors will still be reported as usual.